aboutsummaryrefslogtreecommitdiffstats
path: root/manual/manual.sh
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2014-01-27 17:08:19 +0100
committerClifford Wolf <clifford@clifford.at>2014-01-27 17:08:19 +0100
commitfb4c3dff331f617bb04d2d07a47a0168d3ec2967 (patch)
treea59060d787122982d632e07c086631b2e5ab53b2 /manual/manual.sh
parentfa103e55ad24ee32c58ded660979c81980d14ab1 (diff)
downloadyosys-fb4c3dff331f617bb04d2d07a47a0168d3ec2967.tar.gz
yosys-fb4c3dff331f617bb04d2d07a47a0168d3ec2967.tar.bz2
yosys-fb4c3dff331f617bb04d2d07a47a0168d3ec2967.zip
Added first presentation slides
Diffstat (limited to 'manual/manual.sh')
-rwxr-xr-xmanual/manual.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/manual/manual.sh b/manual/manual.sh
new file mode 100755
index 000000000..c4673938a
--- /dev/null
+++ b/manual/manual.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+fast_mode=false
+update_mode=false
+
+set -- $(getopt fu "$@")
+while [ $# -gt 0 ]; do
+ case "$1" in
+ -f)
+ fast_mode=true
+ ;;
+ -u)
+ update_mode=true
+ ;;
+ --)
+ shift
+ break
+ ;;
+ -*)
+ echo "$0: error - unrecognized option $1" 1>&2
+ exit 1
+ ;;
+ *)
+ break
+ esac
+ shift
+done
+
+PDFTEX_OPT="-shell-escape -halt-on-error"
+
+if $update_mode; then
+ make -C ..
+ ../yosys -p 'help -write-tex-command-reference-manual'
+fi
+
+if ! $fast_mode; then
+ md5sum *.aux *.bbl *.blg > autoloop.old
+fi
+
+set -ex
+
+pdflatex $PDFTEX_OPT manual.tex
+
+if ! $fast_mode; then
+ bibtex manual.aux
+ bibtex weblink.aux
+
+ while
+ md5sum *.aux *.bbl *.blg > autoloop.new
+ ! cmp autoloop.old autoloop.new
+ do
+ cp autoloop.new autoloop.old
+ pdflatex $PDFTEX_OPT manual.tex
+ done
+
+ rm -f autoloop.old
+ rm -f autoloop.new
+fi
+